umbrello 2.39.2 Umbrello UML Modeller is a Unified Modelling Language (UML) diagram program based on KDE Technology

- Main Page
- Related Pages
- Topics
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Private Attributes | List of all members
Uml::CmdChangeLineWidth Class Reference

`#include <cmdchangelinewidth.h>`

Inheritance diagram for Uml::CmdChangeLineWidth:

## Public Member Functions
| CmdChangeLineWidth (UMLWidget *w, const uint width)
| ~CmdChangeLineWidth ()
void | redo ()
void | undo ()
Public Member Functions inherited from Uml::CmdBaseWidgetCommand
| CmdBaseWidgetCommand (UMLWidget *widget)
| CmdBaseWidgetCommand (AssociationWidget *widget)
virtual | ~CmdBaseWidgetCommand ()

## Private Attributes
uint | m_oldWidth
uint | m_newWidth

## Additional Inherited Members
Protected Member Functions inherited from Uml::CmdBaseWidgetCommand
void | setWidget (UMLWidget *widget)
void | setWidget (AssociationWidget *widget)
void | addWidgetToScene (UMLWidget *widget)
void | addWidgetToScene (AssociationWidget *widget)
void | removeWidgetFromScene (UMLWidget *widget)
void | removeWidgetFromScene (AssociationWidget *widget)
UMLWidget * | widget ()
AssociationWidget * | assocWidget ()
UMLScene * | scene ()
Protected Attributes inherited from Uml::CmdBaseWidgetCommand
Uml::ID::Type | m_sceneId
Uml::ID::Type | m_widgetId
QPointer< UMLScene > | m_scene
QPointer< UMLWidget > | m_widget
QPointer< AssociationWidget > | m_assocWidget
bool | m_isAssoc

## Constructor & Destructor Documentation

## ◆ CmdChangeLineWidth()

Uml::CmdChangeLineWidth::CmdChangeLineWidth | ( | UMLWidget * | w,
|  | const uint | width )

## ◆ ~CmdChangeLineWidth()

Uml::CmdChangeLineWidth::~CmdChangeLineWidth | ( |  | ) |

## Member Function Documentation

## ◆ redo()

void Uml::CmdChangeLineWidth::redo | ( |  | ) |

## ◆ undo()

void Uml::CmdChangeLineWidth::undo | ( |  | ) |

## Member Data Documentation

## ◆ m_newWidth

uint Uml::CmdChangeLineWidth::m_newWidth
| private

## ◆ m_oldWidth

uint Uml::CmdChangeLineWidth::m_oldWidth
| private

The documentation for this class was generated from the following files:

- umbrello/cmds/widget/cmdchangelinewidth.h
- umbrello/cmds/widget/cmdchangelinewidth.cpp